extends Node

const FILE_PATH = "user://local_storage"

const RESOLUTIONS = [Vector2(1920,1080),Vector2(1600,900),Vector2(1366,758),Vector2(1280,720),Vector2(1136,640),Vector2(1024,576)]

const CONTROL_ACTIONS = ["controls_thrust", "controls_break", "controls_add_road", "controls_next_road_type", "controls_prev_road_type", "controls_next_road_variant", "controls_prev_road_variant", "controls_reset", "controls_menu", "controls_capture"]

const INPUT_UI_MAPPING = {"ui_accept" : "controls_add_road", "ui_select" : "controls_add_road", "ui_up" : "controls_next_road_variant", "ui_down" : "controls_prev_road_variant", "ui_left" : "controls_prev_road_type", "ui_right" : "controls_next_road_type"}

var config_file:ConfigFile = ConfigFile.new()


func _ready():
	config_file.load(FILE_PATH)


func save():
	config_file.save(FILE_PATH)


func get_value(section:String, key:String, default = null):
	return config_file.get_value(section,key,default)


func set_value(section:String, key:String, value):
	config_file.set_value(section,key,value)